Kiko,

I'm sorry I don't know what you're referring to. We did not delete the menu bar, we changed to using Wordpress menus. You just need to take a couple of minutes to setup..

As far as language we changed the code such that the language function wasn't necessary for the "comments are closed" issue.

If you're happy with 2.2.15 or 2.3. You don't need to upgrade.. just continue to use that version.